Linked by Thom Holwerda on Fri 18th Sep 2009 18:34 UTC
Mac OS X There are several things which take quite some getting used to when switching from any platform to the Mac. There are things like the universal menubar, the dock, Expose, and many more. One of the things that often leads to confusion for new users is the installation process for applications. Mozilla developer Alexander Limi talks about the problems Mozilla runs into when it comes to Firefox' installation process on the Mac, and a possible solution. Update: A possible solution?
Permalink for comment 384966
To read all comments associated with this story, please click here.
RE[5]: Comment by sonic2000gr
by apoclypse on Fri 18th Sep 2009 23:27 UTC in reply to "RE[4]: Comment by sonic2000gr"
apoclypse
Member since:
2007-02-17

Most Linux apps are on the list but it may not be the version you want with this cool new feature you need. Its a common issue and most developers don't bother with repos, or if they do have one setup they are distro specific, and thats where the ease of use goes out the window.

Most developers have gotten smart and support Ubuntu and Fedora since they are the top two distros ( I think?) but what about Debian? What version of Ubuntu or Fedora are you running? Will you be able to install your application in Version 8.04 if the developer only has a repo for version 9.04? If you happen to know how to compile software, are the libs in the repos the right version for the software or are you going to have to go lib hunting. These are extremely common things in Linux.

For example, Blender2.5 is on the horizon, the repos for 9.04 still have 2.48, the current stable build is version 2.49a. Luckily Blender is self contained and can be downloaded and run without much issues without needing to really install anything since most things are statically linked. Now back to Blender 2.5, before version 9.10 (which isn't even out yet) Blender 2.5 wouldn't even build, the version of scons in the repo is too old. Again, this is very common in Linux. OSX doesn't have these issues, you can get the latest and greatest from developers at all times by going to their site and downloading the package, no lib issues necessary.

Reply Parent Score: 3